Bug 11207 - Apache segmentation fault with PHP/MySQL
Apache segmentation fault with PHP/MySQL
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: apache (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-03 14:36 EDT by jboynton
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-06 10:13:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description jboynton 2000-05-03 14:36:36 EDT
httpd dumps core with a segmentation fault when starting with mod_php3
built with MySQL support is enabled.  This was not a problem on RedHat 6.0.
I installed Apache (1.3.12) and MySQL (3.22.32) using rpm's, and
compiled PHP (3.0.16) from source, using
'configure --with-apxs=/usr/sbin/apxs --with-mysql'.  GDB on
the core file gives:

[root@bhakti /]# gdb -q /usr/sbin/httpd core
(no debugging symbols found)...Core was generated by `/usr/sbin/httpd
-t'.
Program terminated with signal 11, Segmentation fault.
Reading symbols from /lib/libm.so.6...done.
Reading symbols from /lib/libcrypt.so.1...done.
Reading symbols from /lib/libdb.so.3...done.
Reading symbols from /lib/libdl.so.2...done.
Reading symbols from /lib/libc.so.6...done.
Reading symbols from /lib/ld-linux.so.2...done.
Reading symbols from /lib/libnss_files.so.2...done.
#0  0x4044dca0 in ?? ()
(gdb) where
#0  0x4044dca0 in ?? ()
#1  0x8059f1d in ap_exists_scoreboard_image ()
#2  0x805c5f4 in main ()
#3  0x400bb9cb in __libc_start_main (main=0x805c3e0 <main>, argc=2,
    argv=0xbffffb84, init=0x804f014 <_init>, fini=0x807b99c <_fini>,
    rtld_fini=0x4000ae60 <_dl_fini>, stack_end=0xbffffb7c)
    at ../sysdeps/generic/libc-start.c:92
(gdb)
Comment 1 SB 2000-06-03 13:13:32 EDT
A better source of information might actually your /var/log/httpd/error_log
file or whatever it is configured to be on your system.  Often times it is
the best source of information on startup httpd crashes and such.

-Stan Bubrouski
Comment 2 Hevard Lygre 2000-06-06 10:13:42 EDT
This problem appears _only_ when you use the MySQL-shared package (which
contains libmysqlclient.so.*).  If you skip that package and use the statically
linked libraries (from MySQL-devel), apache/php/mysql works.
Comment 3 Nalin Dahyabhai 2000-07-03 05:24:16 EDT
Verified as fixed in php-4.0.1pl2 with newest MySQL from the build tree.

Note You need to log in before you can comment on or make changes to this bug.